#
# spec file for package blue-horizon
# this code base is under development
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugzilla.suse.com/
#

Name:      blue-horizon
Version:   1.2.0
Release:   3.6.1
License:   GPL-3.0
Summary:   Web server interface for terraforming in a public cloud
URL:       http://www.github.com/suse-enceladus/blue-horizon
Source0:   %{name}-%{version}.tar.bz2
# requirements generated via `rake gems:rpmspec:requires`
BuildRequires:  ruby-macros >= 5
BuildRequires: %{rubygem bundler}
BuildRequires:  %{ruby}
BuildRequires:  %{rubygem actioncable}
BuildRequires:  %{rubygem actionmailer}
BuildRequires:  %{rubygem actionpack}
BuildRequires:  %{rubygem actionview}
BuildRequires:  %{rubygem active_link_to}
BuildRequires:  %{rubygem activejob}
BuildRequires:  %{rubygem activemodel}
BuildRequires:  %{rubygem activerecord}
BuildRequires:  %{rubygem activesupport}
BuildRequires:  %{rubygem addressable}
BuildRequires:  %{rubygem arel}
BuildRequires:  %{rubygem builder}
BuildRequires:  %{rubygem cloud-instancetype}
BuildRequires:  %{rubygem concurrent-ruby}
BuildRequires:  %{rubygem crass}
BuildRequires:  %{rubygem erubi}
BuildRequires:  %{rubygem erubis}
BuildRequires:  %{rubygem globalid}
BuildRequires:  %{rubygem haml}
BuildRequires:  %{rubygem haml-rails}
BuildRequires:  %{rubygem hamster}
BuildRequires:  %{rubygem html2haml}
BuildRequires:  %{rubygem i18n}
BuildRequires:  %{rubygem jbuilder}
BuildRequires:  %{rubygem lino}
BuildRequires:  %{rubygem loofah}
BuildRequires:  %{rubygem mail}
BuildRequires:  %{rubygem method_source}
BuildRequires:  %{rubygem mini_mime}
BuildRequires:  %{rubygem mini_portile2}
BuildRequires:  %{rubygem minitest}
BuildRequires:  %{rubygem nio4r}
BuildRequires:  %{rubygem nokogiri}
BuildRequires:  %{rubygem open4}
BuildRequires:  %{rubygem public_suffix:4.0}
BuildRequires:  %{rubygem puma}
BuildRequires:  %{rubygem rack}
BuildRequires:  %{rubygem rack-test}
BuildRequires:  %{rubygem rails:5.1}
BuildRequires:  %{rubygem rails-dom-testing}
BuildRequires:  %{rubygem rails-html-sanitizer}
BuildRequires:  %{rubygem railties}
BuildRequires:  %{rubygem rake}
BuildRequires:  %{rubygem redcarpet}
BuildRequires:  %{rubygem ruby-terraform}
BuildRequires:  %{rubygem ruby_parser}
BuildRequires:  %{rubygem rubyzip}
BuildRequires:  %{rubygem sexp_processor}
BuildRequires:  %{rubygem sprockets}
BuildRequires:  %{rubygem sprockets-rails}
BuildRequires:  %{rubygem sqlite3}
BuildRequires:  %{rubygem temple}
BuildRequires:  %{rubygem thor}
BuildRequires:  %{rubygem thread_safe}
BuildRequires:  %{rubygem tilt}
BuildRequires:  %{rubygem tzinfo}
BuildRequires:  %{rubygem websocket-driver}
BuildRequires:  %{rubygem websocket-extensions}
Requires:  %{ruby}
Requires: %{rubygem bundler}
Requires:  %{rubygem actioncable}
Requires:  %{rubygem actionmailer}
Requires:  %{rubygem actionpack}
Requires:  %{rubygem actionview}
Requires:  %{rubygem active_link_to}
Requires:  %{rubygem activejob}
Requires:  %{rubygem activemodel}
Requires:  %{rubygem activerecord}
Requires:  %{rubygem activesupport}
Requires:  %{rubygem addressable}
Requires:  %{rubygem arel}
Requires:  %{rubygem builder}
Requires:  %{rubygem cloud-instancetype}
Requires:  %{rubygem concurrent-ruby}
Requires:  %{rubygem crass}
Requires:  %{rubygem erubi}
Requires:  %{rubygem erubis}
Requires:  %{rubygem globalid}
Requires:  %{rubygem haml}
Requires:  %{rubygem haml-rails}
Requires:  %{rubygem hamster}
Requires:  %{rubygem html2haml}
Requires:  %{rubygem i18n}
Requires:  %{rubygem jbuilder}
Requires:  %{rubygem lino}
Requires:  %{rubygem loofah}
Requires:  %{rubygem mail}
Requires:  %{rubygem method_source}
Requires:  %{rubygem mini_mime}
Requires:  %{rubygem mini_portile2}
Requires:  %{rubygem minitest}
Requires:  %{rubygem nio4r}
Requires:  %{rubygem nokogiri}
Requires:  %{rubygem open4}
Requires:  %{rubygem public_suffix:4.0}
Requires:  %{rubygem puma}
Requires:  %{rubygem rack}
Requires:  %{rubygem rack-test}
Requires:  %{rubygem rails:5.1}
Requires:  %{rubygem rails-dom-testing}
Requires:  %{rubygem rails-html-sanitizer}
Requires:  %{rubygem railties}
Requires:  %{rubygem rake}
Requires:  %{rubygem redcarpet}
Requires:  %{rubygem ruby-terraform}
Requires:  %{rubygem ruby_parser}
Requires:  %{rubygem rubyzip}
Requires:  %{rubygem sexp_processor}
Requires:  %{rubygem sprockets}
Requires:  %{rubygem sprockets-rails}
Requires:  %{rubygem sqlite3}
Requires:  %{rubygem temple}
Requires:  %{rubygem thor}
Requires:  %{rubygem thread_safe}
Requires:  %{rubygem tilt}
Requires:  %{rubygem tzinfo}
Requires:  %{rubygem websocket-driver}
Requires:  %{rubygem websocket-extensions}
# end generated requirements

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch

%description
A customizable web interface for setting variables and executing a predefined
terraform script in a supported cloud service provider (CSP) environment.

%prep
%setup

%build
bundle lock --local

%install
install -m 0755 -d %{buildroot}/srv/www/%{name}
cp -r app bin config db lib public config.ru Gemfile* Rakefile %{buildroot}/srv/www/%{name}/

%files
%defattr(-,root,root,-)
%doc README.md LICENSE
/srv/www/%{name}

%changelog
* Thu Jul  9 2020 jmason@suse.com
- version 1.2.0
  + select-option input type for variables #123
  + source filenames are prevented from being blank #120
  + variable descriptions have a comment separator #126
  + propogate terraform plan errors to the UI #128
  + In 'expert mode' only validate sources upon request #119
  + Handle nested files in zip download #129 (bsc#1173638)
* Wed Jun 17 2020 jmason@suse.com
- version 1.1.1
  + Handle terraform errors when editing sources (bsc#1172815)
* Tue May 19 2020 jmason@suse.com
- version 1.1.0
  + Include 'lib' dir in package
* Fri May 15 2020 jmason@suse.com
- version 1.0.1
  + Remove unexpected dependency on rubygem-uglifier
    https://github.com/SUSE-Enceladus/blue-horizon/issues/104
* Fri May  1 2020 jmason@suse.com
- version 1.0.0 (bsc#1168921)
  + Terraform variables must be defined as JSON; the HCL parser has been dropped.
  + Scripts are validated directly via `terraform validate` on change.
  + Shell script sources (`*.sh`) are marked executable during export.
  + Variables are saved when moving to Plan step.
  + Consistent use of one log file for _terraform_.
  + Improved authorization limits use to one session at a time, and prevents changes during _terraform_ execution.
  + Support for _terraform_ modules in source.
* Tue Mar 10 2020 jmason@suse.com
- version 0.3.1
  + Fix invalid error state at end of deploy
  + Hide tooltips when executing actions
* Tue Mar  3 2020 jmason@suse.com
- version 0.3.0
  + JS linted
  + Add download option for plan JSON
  + Fix some issues with passwords
  + Show existing plan, reset when re-creating
  + Include all generated content in download zipfile
  + Add wrap up page with customizable content
* Fri Feb 28 2020 jmason@suse.com
- version 0.2.1
  + Download all exported content
  + Fix a path issue in plan (introduced in 0.2.0)
* Fri Feb 28 2020 jmason@suse.com
- version 0.2.0
  + Introductory steps on plan, deploy
  + Move terraform log into output path
  + redirect root to welcome path
  + authorization framework to prevent skipping steps
  + update testing fixtures
  + resolve an issue with cluster slider sync
  + change 'Additional data' to 'Variables'
  + Handle boolean variables better
  + change variable type from 'boolean' to 'bool'
  + show current plan, if existing, on load of plan page
  + clean up navigation changes in plan, deploy
* Wed Feb 19 2020 jmason@suse.com
- version 0.1.3
  + README improvements
  + render password fields in variables list
  + consistent UI in plan, deploy pages
  + require 'zip' library from 'rubyzip' gem
  + Clean export dir between plan executions
* Thu Feb 13 2020 jmason@suse.com
- version 0.1.2
  + Add explicit dependency on rubygem-rubyzip
* Wed Feb 12 2020 jmason@suse.com
- version 0.1.1
  + Ensure sources and vars are exported before `terraform init`
  + Use variable export constant in all cases
  + Add solid background to footer
* Mon Feb 10 2020 jmason@suse.com
- version 0.1.0
  + Add support for .tmpl sources
  + customization.json accepted in replacement of .yaml
* Sat Feb  8 2020 jmason@suse.com
- version 0.1.0 (pre-merge)
  + Fix footer
  + Variables are defined in variable*.tf.json files
* Fri Feb  7 2020 jmason@suse.com
- version 0.0.6
  + Handle more file types in terraform sources (YAML, JSON)
  + Initialize instance count within range
  + Additional HCL validation
  + Style consistency improvements
  + Packaging improvements
* Sun Jan 26 2020 jmason@suse.com
- Check in v0.0.1
- Initial build
